$AdfDhtmlPanelCollectionPeer$$.$_SUB_ID_MAP$ = {viewMenu:"_vw", viewMenu_expand:"_xpdItm", viewMenu_expandAllBelow:"_xpdBlw", viewMenu_collapseAllBelow:"_cpsBlw", viewMenu_expandAll:"_xpdAll", viewMenu_collapseAll:"_cpsAll", viewMenu_showAsTop:"_shwTp", viewMenu_goToTop:"_goTp", viewMenu_scrollToFirst:"_sclFst", viewMenu_scrollToLast:"_sclLst", viewMenu_detach:"_dchMn", statusbarItem_colsHiddenCount:"_clmHdnC", statusbarItem_colsFrozenCount:"_clmFrzC"};
$AdfDhtmlPanelCollectionPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlPanelCollectionPeer$$$$$GetSubIdDomElement$$($nestedComponentId_subElementId$$43$$) {
  $AdfAssert$$.$assertNonEmptyString$($nestedComponentId_subElementId$$43$$);
  var $subElement$$1$$, $clientId$$522$$ = this.$getComponent$().$getClientId$();
  ($nestedComponentId_subElementId$$43$$ = $AdfDhtmlPanelCollectionPeer$$.$_SUB_ID_MAP$[$nestedComponentId_subElementId$$43$$]) && ($subElement$$1$$ = $AdfAgent$$.$AGENT$.getElementById($clientId$$522$$ + ":" + $nestedComponentId_subElementId$$43$$));
  return $subElement$$1$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelCollectionPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlPanelCollectionPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlPanelCollectionPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlPanelCollectionPeer$$$$$GetBestMatchSubId$$($domElement$$667$$) {
  if ($domElement$$667$$ && $domElement$$667$$.id) {
    var $clientSubId$$5_idx$$3$$ = $domElement$$667$$.id.lastIndexOf(":");
    if (0 < $clientSubId$$5_idx$$3$$ && $domElement$$667$$.id.substr(0, $clientSubId$$5_idx$$3$$) == this.$getComponent$().$getClientId$()) {
      var $subIdMap$$2$$ = $AdfDhtmlPanelCollectionPeer$$.$_SUB_ID_MAP$, $clientSubId$$5_idx$$3$$ = $domElement$$667$$.id.substr($clientSubId$$5_idx$$3$$ + 1), $extSubId$$1$$;
      for ($extSubId$$1$$ in $subIdMap$$2$$) {
        if ($subIdMap$$2$$[$extSubId$$1$$] == $clientSubId$$5_idx$$3$$) {
          return $extSubId$$1$$;
        }
      }
    }
  }
  return $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$667$$, this, $AdfDhtmlPanelCollectionPeer$$.$_SUB_ID_MAP$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelCollectionPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlPanelCollectionPeer$$.prototype.$GetBestMatchSubId$});
